org.apache.ignite.internal.util

## Class StripedExecutor.Stripe

- java.lang.Object
- - org.apache.ignite.internal.util.worker.GridWorker
  - - org.apache.ignite.internal.util.StripedExecutor.Stripe

All Implemented Interfaces:
  Runnable, WorkProgressDispatcher

Enclosing class:
  StripedExecutor

    public abstract static class StripedExecutor.Stripe
    extends GridWorker

Stripe.

### Field Summary

Fields
`protected int` `idx`
`protected Thread` `thread` Thread executing the loop.

### Fields inherited from class org.apache.ignite.internal.util.worker.GridWorker

`isCancelled`

### Constructor Summary

Constructors
Constructor and Description
`Stripe(String igniteInstanceName, String poolName, int idx, IgniteLogger log, IgniteInClosure<Throwable> errHnd, GridWorkerListener gridWorkerLsnr)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `body()` The implementation should provide the execution body for this runnable.
`int` `index()`
`abstract Queue<Runnable>` `queue()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.worker.GridWorker

`blockingSectionBegin, blockingSectionEnd, cancel, cleanup, heartbeatTs, igniteInstanceName, isCancelled, isDone, join, name, onIdle, run, runner, updateHeartbeat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### idx

    protected final int idx

#### thread

    protected Thread thread

Thread executing the loop.

### Constructor Detail

#### Stripe

    public Stripe(String igniteInstanceName,
                  String poolName,
                  int idx,
                  IgniteLogger log,
                  IgniteInClosure<Throwable> errHnd,
                  GridWorkerListener gridWorkerLsnr)

Parameters:
  `igniteInstanceName` - Ignite instance name.
  `poolName` - Pool name.
  `idx` - Stripe index.
  `log` - Logger.
  `errHnd` - Exception handler.
  `gridWorkerLsnr` - listener to link with stripe worker.

### Method Detail

#### body

    public void body()

The implementation should provide the execution body for this runnable.

Specified by:
  `body` in class `GridWorker`

#### queue

    public abstract Queue<Runnable> queue()

Returns:
  Stripe queue.

#### index

    public int index()

Returns:
  Stripe index.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridWorker`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021